| Home | Libraries | People | FAQ | More

##### replace_if

###### Description

Returns the result type of `replace_if`, given the types of the sequence, Polymorphic Function Object predicate and replacement object.

###### Synopsis

    template<
        typename Sequence,
        typename F,
        typename T>
    struct replace_if
    {
        typedef unspecified type;
    };

Table 1.78. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A model of Forward Sequence | Operation's argument
`F` | A model of unary Polymorphic Function Object | Replacement predicate
`T` | Any type | The type of the replacement object

###### Expression Semantics

    result_of::replace_if<Sequence,F,T>::type

Return type: A model of Forward Sequence.

Semantics: Returns the return type of `replace_if`.

###### Complexity

Constant.

###### Header

    #include <boost/fusion/algorithm/transformation/replace_if.hpp>
    #include <boost/fusion/include/replace_if.hpp>